Open or close the preview account

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/projects/{project_id}/preview-account

Open the access window of the preview account for one hour, or close it, which ends its sessions. Restricted to managers of the production.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

application/json

Body Required

  • is_open boolean Required

Responses

  • 200 application/json

    Updated preview account

    Hide response attributes Show response attributes object
    • id string(uuid)
    • email string
    • full_name string
    • preview_open_until string(date-time) | null

      End of the access window, null when closed

  • 404

    The production has no preview account

PUT /data/projects/{project_id}/preview-account
curl \
 --request PUT 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/preview-account' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "is_open": true
}'
Request examples
{
  "is_open": true
}
Response examples (200)
{
  "id": "string",
  "email": "preview-0a1b2c3d4e5f@preview.kitsu.invalid",
  "full_name": "Preview Cosmos Landromat",
  "preview_open_until": "2026-05-04T09:42:00Z"
}